﻿using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraToolbarsManager_DisplayMode_ButtonTab
{
    public partial class Form1 : Form
    {
       public Form1()
        {
            InitializeComponent();
            ultraToolbarsManager1.Ribbon.DisplayMode = Infragistics.Win.UltraWinToolbars.RibbonDisplayMode.TabsOnly;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraToolbarsManager1.Ribbon.Tabs[0].Caption = "Manutenzioni";
            this.ultraToolbarsManager1.Ribbon.Tabs[1].Caption = "Qualifica Fornitore";
            this.ultraToolbarsManager1.Ribbon.Tabs[2].Caption = "Personale";
            this.ultraToolbarsManager1.Ribbon.Tabs[3].Caption = "Lavagna";

        }

        private void ultraToolbarsManager1_AfterRibbonTabSelected(object sender, Infragistics.Win.UltraWinToolbars.RibbonTabEventArgs e)
        {
          if(e.Tab == null)
            {
                return;
            }            
          
            if(e.Tab.Caption != "Lavagna")
            {
                this.ultraToolbarsManager1.Ribbon.DisplayMode = RibbonDisplayMode.Full;           
               
            }
            else{
                this.ultraToolbarsManager1.Ribbon.DisplayMode = RibbonDisplayMode.TabsOnly;
                this.ultraToolbarsManager1.Ribbon.SelectedTab = null;
                MessageBox.Show(e.Tab.Caption + " has been clicked!");
            }               
           
        }
    }
}
